Bug Hunting Session
Bug 85390 - FILEOPEN RTF linemod0 keyword triggers line numbering
Summary: FILEOPEN RTF linemod0 keyword triggers line numbering
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-10-24 03:45 UTC by Urmas
Modified: 2017-07-18 07:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample (262 bytes, text/rtf)
2015-01-29 09:03 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-10-24 03:45:07 UTC
If there is a \linemod0 keyword in the section properties, the line numbering with a step of 5 will be activated. That is incorrect behavior.
Comment 1 tommy27 2014-10-25 05:39:09 UTC
can you upload a test file?
Comment 2 Urmas 2015-01-29 09:03:40 UTC
Created attachment 112906 [details]
Sample
Comment 3 Buovjaga 2015-01-31 11:44:50 UTC
Confirmed with attachment 112906 [details].

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 309574394bd4ae3e9e10e5ff0d64bdd7bbbc8b83
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-29_23:44:46

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 4 QA Administrators 2016-02-21 08:38:07 UTC Comment hidden (obsolete)
Comment 5 Urmas 2016-02-21 09:58:31 UTC
Still in 5.2.0.0.alpha0+ 80d7c5859b9e7a834a915d7e8bbbe9bc2130108a.
Comment 6 QA Administrators 2017-03-06 16:10:07 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306